org.eclipse.oomph.setup.p2.impl

## Class P2TaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.p2.impl.P2TaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, P2Task, SetupTask

      public class P2TaskImpl
      extends SetupTaskImpl
      implements P2Task

  An implementation of the model object 'Install Task'.

  The following features are implemented:

  - `Label`
  - `Requirements`
  - `Repositories`
  - `License Confirmation Disabled`
  - `Merge Disabled`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `label` The cached value of the '`Label`' attribute.
    `protected static String` | `LABEL_EDEFAULT` The default value of the '`Label`' attribute.
    `protected static boolean` | `LICENSE_CONFIRMATION_DISABLED_EDEFAULT` The default value of the '`License Confirmation Disabled`' attribute.
    `protected boolean` | `licenseConfirmationDisabled` The cached value of the '`License Confirmation Disabled`' attribute.
    `protected static boolean` | `MERGE_DISABLED_EDEFAULT` The default value of the '`Merge Disabled`' attribute.
    `protected boolean` | `mergeDisabled` The cached value of the '`Merge Disabled`' attribute.
    `protected EList<Repository>` | `repositories` The cached value of the '`Repositories`' containment reference list.
    `protected EList<Requirement>` | `requirements` The cached value of the '`Requirements`' containment reference list.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.p2.P2Task

      `PROP_SKIP`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `P2TaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consolidate()`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getLabel()`
    `Object` | `getOverrideToken()` Subclasses may override to indicate that this task overrides another task with the same token.
    `int` | `getPriority()`
    `EList<Repository>` | `getRepositories()`
    `EList<Requirement>` | `getRequirements()`
    `boolean` | `isLicenseConfirmationDisabled()`
    `boolean` | `isMergeDisabled()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `overrideFor(SetupTask overriddenSetupTask)`
    `void` | `perform(SetupTaskContext context)`
    `static void` | `processLicenses(IProvisioningPlan provisioningPlan, Confirmer licenseConfirmer, User user, boolean saveChangedUser, IProgressMonitor monitor)`
    `void` | `setLabel(String newLabel)`
    `void` | `setLicenseConfirmationDisabled(boolean newLicenseConfirmationDisabled)`
    `void` | `setMergeDisabled(boolean newMergeDisabled)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getPredecessors, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `dispose, getDescription, getExcludedTriggers, getID, getPredecessors, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### LABEL_EDEFAULT

          protected static final String LABEL_EDEFAULT

      The default value of the '`Label`' attribute.
      See Also:
        `getLabel()`
      Generated
      Ordered

    - #### label

          protected String label

      The cached value of the '`Label`' attribute.
      See Also:
        `getLabel()`
      Generated
      Ordered

    - #### requirements

          protected EList<Requirement> requirements

      The cached value of the '`Requirements`' containment reference list.
      See Also:
        `getRequirements()`
      Generated
      Ordered

    - #### repositories

          protected EList<Repository> repositories

      The cached value of the '`Repositories`' containment reference list.
      See Also:
        `getRepositories()`
      Generated
      Ordered

    - #### LICENSE_CONFIRMATION_DISABLED_EDEFAULT

          protected static final boolean LICENSE_CONFIRMATION_DISABLED_EDEFAULT

      The default value of the '`License Confirmation Disabled`' attribute.
      See Also:
        `isLicenseConfirmationDisabled()`, Constant Field Values
      Generated
      Ordered

    - #### licenseConfirmationDisabled

          protected boolean licenseConfirmationDisabled

      The cached value of the '`License Confirmation Disabled`' attribute.
      See Also:
        `isLicenseConfirmationDisabled()`
      Generated
      Ordered

    - #### MERGE_DISABLED_EDEFAULT

          protected static final boolean MERGE_DISABLED_EDEFAULT

      The default value of the '`Merge Disabled`' attribute.
      See Also:
        `isMergeDisabled()`, Constant Field Values
      Generated
      Ordered

    - #### mergeDisabled

          protected boolean mergeDisabled

      The cached value of the '`Merge Disabled`' attribute.
      See Also:
        `isMergeDisabled()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### P2TaskImpl

          protected P2TaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `P2Task`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `P2Task.setLabel(String)`, `SetupP2Package.getP2Task_Label()`
      Generated

    - #### setLabel

          public void setLabel(String newLabel)

      Specified by:
        `setLabel` in interface `P2Task`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `P2Task.getLabel()`
      Generated

    - #### getRequirements

          public EList<Requirement> getRequirements()

      Specified by:
        `getRequirements` in interface `P2Task`
      Returns:
        the value of the 'Requirements' containment reference list.
      See Also:
        `SetupP2Package.getP2Task_Requirements()`
      Generated

    - #### getRepositories

          public EList<Repository> getRepositories()

      Specified by:
        `getRepositories` in interface `P2Task`
      Returns:
        the value of the 'Repositories' containment reference list.
      See Also:
        `SetupP2Package.getP2Task_Repositories()`
      Generated

    - #### isLicenseConfirmationDisabled

          public boolean isLicenseConfirmationDisabled()

      Specified by:
        `isLicenseConfirmationDisabled` in interface `P2Task`
      Returns:
        the value of the 'License Confirmation Disabled' attribute.
      See Also:
        `P2Task.setLicenseConfirmationDisabled(boolean)`, `SetupP2Package.getP2Task_LicenseConfirmationDisabled()`
      Generated

    - #### setLicenseConfirmationDisabled

          public void setLicenseConfirmationDisabled(boolean newLicenseConfirmationDisabled)

      Specified by:
        `setLicenseConfirmationDisabled` in interface `P2Task`
      Parameters:
        `newLicenseConfirmationDisabled` - the new value of the 'License Confirmation Disabled' attribute.
      See Also:
        `P2Task.isLicenseConfirmationDisabled()`
      Generated

    - #### isMergeDisabled

          public boolean isMergeDisabled()

      Specified by:
        `isMergeDisabled` in interface `P2Task`
      Returns:
        the value of the 'Merge Disabled' attribute.
      See Also:
        `P2Task.setMergeDisabled(boolean)`, `SetupP2Package.getP2Task_MergeDisabled()`
      Generated

    - #### setMergeDisabled

          public void setMergeDisabled(boolean newMergeDisabled)

      Specified by:
        `setMergeDisabled` in interface `P2Task`
      Parameters:
        `newMergeDisabled` - the new value of the 'Merge Disabled' attribute.
      See Also:
        `P2Task.isMergeDisabled()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `SetupTask`
      Overrides:
        `getPriority` in class `SetupTaskImpl`

    - #### getOverrideToken

          public Object getOverrideToken()

      Description copied from class: `SetupTaskImpl`
      Subclasses may override to indicate that this task overrides another task with the same token.
      Specified by:
        `getOverrideToken` in interface `SetupTask`
      Overrides:
        `getOverrideToken` in class `SetupTaskImpl`
      See Also:
        `SetupTaskImpl.createToken(String)`

    - #### overrideFor

          public void overrideFor(SetupTask overriddenSetupTask)

      Specified by:
        `overrideFor` in interface `SetupTask`
      Overrides:
        `overrideFor` in class `SetupTaskImpl`

    - #### consolidate

          public void consolidate()

      Specified by:
        `consolidate` in interface `SetupTask`
      Overrides:
        `consolidate` in class `SetupTaskImpl`

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

    - #### processLicenses

          public static void processLicenses(IProvisioningPlan provisioningPlan,
                             Confirmer licenseConfirmer,
                             User user,
                             boolean saveChangedUser,
                             IProgressMonitor monitor)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html